<?php
namespace Teknisa\PED\Modules\Pedidos\Factories;

use Doctrine\ORM\EntityManager;
// use Teknisa\Model\Pedidosexpedicao\Entities\Precobase;
// use Teknisa\Model\Pedidosexpedicao\Entities\Promoprbase;
// use Teknisa\Model\Pedidosexpedicao\Entities\Opcioprbase;
// use Teknisa\Model\Pedidosexpedicao\Entities\Itemprebase;
// use Teknisa\Model\Eventos\Entities\Prbaseconvidaore;

class ped08000TabelaDescontoFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection       = $entityManager->getConnection();
        $this->entityManager    = $entityManager;
    }

    /**
     * Busca sequencial para tabela de desconto
     */
    public function getNewNRTABDESC() {
        try {

            $sql = "SELECT NVL(LPAD(MAX(NRTABDESC)+1, 3, '0'), '001') AS NRTABDESC FROM TABDESC";

            $params = array();
            $std = $this->connection->prepare($sql);
            $std->execute($params);
            return $std->fetchAll();
        }catch (\Exception $e) {
            throw $e;
        }
    }
    
    public function getNewNRITTABDESC($nrtabdesc, $cdproduto) {
        try {

            $sql = "SELECT NVL(LPAD(MAX(NRITTABDESC)+1, 3, '0'), '001') AS NRITTABDESC 
                    FROM ITEMTABDESC
                    WHERE NRTABDESC = :NRTABDESC
                    AND CDPRODUTO = :CDPRODUTO";

            $params = array('NRTABDESC' => $nrtabdesc,
                            'CDPRODUTO' => $cdproduto);
            $std = $this->connection->prepare($sql);
            $std->execute($params);
            return $std->fetchAll();
        }catch (\Exception $e) {
            throw $e;
        }
    }

}

?>